<div class="address_select">

	<?php 
		$model = isset($model) ? $model : 'DeliveryAddress';

		echo $this->Form->create($model);
	?>
	
	<fieldset>

		<?php 

			echo $this->Html->tag('legend', __('Previous Addresses'));

			$addressOptions = array();

			foreach ($addresses as $address) {

				$this->Html->tag('div', null, array('class' => 'address address-option'));
				$this->Html->tag('address');

				$addressText = $address[$model]['address_line_1'] . '<br />';

				if (isset($address[$model]['address_line_2']) && !empty($address[$model]['address_line_2'])) {
					$addressText .= $address[$model]['address_line_2'] . '<br />';
				}

				if (isset($address[$model]['address_line_3']) && !empty($address[$model]['address_line_3'])) {
					$addressText .= $address[$model]['address_line_3'] . '<br />';
				}

				$addressText .=	$address[$model]['city'] . '<br />';

				if (isset($address[$model]['county']) && !empty($address[$model]['county'])) {
					$addressText .= $address[$model]['county'] . '<br />';
				}

				$addressText .= $address[$model]['postcode'];

				$this->Html->tag('/address');
				$this->Html->tag('/div');

				$addressOptions[$address[$model]['id']] = $addressText;

			}

			if (!empty($addressOptions)) {

				echo $this->Form->radio(
					$model.'.id', 
					$addressOptions, 
					array(
						'value' => $addresses[0][$model]['id'], //Set default to first
						'label' => false, 
						'legend' => false
					)
				);

			}

			echo $this->Html->tag('div', null, array('class' => 'input submit'));
			echo $this->Form->button(__('Select Address'), array('escape' => false));
			echo $this->Html->tag('/div');

		?>

	</fieldset>

	<?php echo $this->Form->end(); ?>

</div>